<< sos2zp | FOSSEE_Signal_Processing_Toolbox | spectral_adf >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > sosbreak

# sosbreak

Function for breaking a polynomial into second-order polynomials and an extra linear term.

### Syntax

    [zerosort, g] = sosbreak(p)

### Parameters

p:

  Input polynomial (vector or symbolic polynomial).

zerosort:

  List of broken polynomials. Contains second-order polynomials and possibly one linear polynomial.

g:

  Integer multiple obtained after breaking the polynomial.

### Description

The `sosbreak` function factors the input polynomial `p` into real-coefficient polynomials. It segregates the factors into second-order polynomials and linear polynomials. If the polynomial degree is odd, the last linear polynomial is left as is. For even-degree polynomials, linear factors are combined into second-order polynomials.

### Examples

    // Break a polynomial into second-order polynomials and a linear term:
    v = [1 + 4 * %s + 6 * %s^2 + 4 * %s^3 + %s^4]
    [zerosort, g] = sosbreak(v)

### Authors

- Parthasarathi Panda
- parthasarathipanda314@gmail.com

Report an issue
<< sos2zp | FOSSEE_Signal_Processing_Toolbox | spectral_adf >>